
//Находим главный div (он уже присутствует на главной странице приложения) и устанавливаем его атрибут 'id'. Он позиционируется фиксированно. 
//В него вставляется блок contentIframe для содержания, который затем абсолютно позиционируются относительно него.
var mainBlock = document.getElementById('mainBlock');


//Создаем div для меню навигации и устанавливаем его атрибут 'id'. 
var navMenu = mL.createElement('div', ['id', 'navMenu']);
//Добавляем меню в тело документа приложения.
document.body.appendChild(navMenu);

//Устанавливаем содержимое меню. Все пункты меню, т.е. div'ы, позиционируются абсолютно относительно самого меню
//В div'ы вставляются списки, но они не позиционируются. Положение задается через margins. Ссылки загружают документы в contentIframe.
navMenu.innerHTML = 	'<h1 id="belarusWord" title="Перейти на сайт">belarusweb.net</h1>'+
							'<img id="pageBack" src="belarusweb_files/images/arrow_page_back.png" title="Назад">'+
							'<img id="circleStart" src="belarusweb_files/images/circle_start.png" title="Домой">'+
							'<img id="pageForward" src="belarusweb_files/images/arrow_page_forward.png" title="Вперед">'+
							
							'<div id="booksDiv">'+
								'<a href="php_mysql/php_mysql_textbook/php_mysql_textbook_content.html">Учебник</a>'+
							'</div>'+
							
							'<div id="exercisesDiv">'+
								'<a href="php_mysql/php_mysql_exercises/php_mysql_exercises_content.html">Задачник</a>'+
							'</div>'+
																						
							'<div id="referencesDiv">'+
								'<a href="php_mysql/php_mysql_reference/php_mysql_reference_content.html">Справочник</a>'+
							'</div>';



	//Находим логотип
	var belarusWord = document.getElementById('belarusWord');
	//Вешаем обработчик перехода на сайт 
	belarusWord.addEventListener('click', function(){location.href='http://belarusweb.net';});
	
	//Находим стрелку 'назад'
	var pageBack = document.getElementById('pageBack');
	//Вешаем обработчик по клику
	pageBack.addEventListener('click', function(){history.back();});
	
	//Находим кружек 'домой'
	var circleStart = document.getElementById('circleStart');
	//Вешаем обработчик по клику и переходим на страницу, скоторой запустили приложение
	circleStart.addEventListener('click', function(){location.href = 'home.html';});
	
	//Находим стрелку 'вперед'
	var pageForward = document.getElementById('pageForward');
	//Вешаем обработчик по клику
	pageForward.addEventListener('click', function(){history.forward();});
	
	
	//Находим меню учебников
	var booksDiv = document.getElementById('booksDiv');
	//Находим меню задачников
	var exercisesDiv = document.getElementById('exercisesDiv');
	//Находим кнопку статей
	var articlesDiv = document.getElementById('articlesDiv');
	//Находим меню справочников
	var referencesDiv = document.getElementById('referencesDiv');
	
	
		
	
	//Вешаем обработчики события 'pageshow' на окно документа. Срабатывает даже при загрузке страницы из кеша браузера. Наступает после 'load'.
	//Подразумевается window.addEventListener(). Через document.body  не добавляются ни resize, ни scroll.
	addEventListener('pageshow', mL.fixedAll);
	addEventListener('pageshow', mL.showDocument);
	addEventListener('pageshow', mL.lightAnchor);			
	addEventListener('resize', mL.fixedAll);
	
	


