<?php include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_before_example_ex.php';


 
$a = new class{
   private $private_var; //Объявили закрытое свойство, но не инициализировали 
       
   //Метод автоматически вызывается в случае обращения к недоступным свойствам
   public function __set($name, $value){ 
      $this->$name=$value;    //Устанавливаем значение недоступного свойства
   }
    
   //Метод возвращает значение недоступного свойства, если оно установлено,  
   //или выводит сообщение, если такого свойства нет или оно не инициализировано
   public function __get($name){
      //Если переменная установлена значением отличным от null
      if(isset($this->$name)){
         return  $this->$name;//возвращаем значение недоступного свойства
      }else{
         echo "Свойство {$name} отсутствует или не определено в данном классе";
      }
   }
};
                 
echo $a->private_var.'<br>'; //Метод перегрузки __get() выведет сообщение 
                              
$a->private_var=10;     	  //Изменяем значение закрытого свойства вне класса,
                             //что возможно благодаря методу перегрузки __set()
echo $a->private_var;        //Выведет 10



include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_after_example.php'?> 







