<?php include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_before_example.php';



echo '-------- date_default_timezone_get() -------- <br><br>';

//date_default_timezone_get() возвращает временную зону, используемой по умолчанию 
//всеми функциями даты/времени в скрипте 
echo date_default_timezone_get().'<br>'; //Выведет, например, 'Europe/Berlin'


echo '-------- getdate() -------- <br><br>';

//getdate() возвращает информацию о дате/времени в виде ассоциативного массива с 
//ключами "seconds", "minutes", "hours" и т.д. (см. справочник) 
$dt=getdate(); 
echo getdate()['hours'].' часов '.'<br>'; //Выведет часы зоны 'Europe/Berlin'


echo '-------- date_default_timezone_set() -------- <br><br>';

//date_default_timezone_set(), которая устанавливает временную зону по умолчанию  
//для всех функций даты/времени в скрипте  
date_default_timezone_set('Europe/Minsk');
$dt=getdate(); 
echo getdate()['hours'].' часов '.'<br>'; //Выведет часы временной зоны 'Europe/Minsk' 


echo '-------- time() -------- <br><br>';

//time() - возвращает количество секунд, прошедших с 1 января 1970 00:00:00 GMT 
//т.е. с начала Эпохи Unix и до текущего времени  
echo time().'<br>'; //Выведет количество секунд, например, 1462165479


echo '-------- date() -------- <br><br>';

//date() - форматирует вывод системной даты/времени (см. таблицу допустимых символов)
//Зададим, например, формат 'год месяц день, часы : минуты : секунды'
echo date('Y m d,  H : i : s').'<br>'; //Выведет, например, 2016 05 02, 08 : 16 : 46




include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_after_example.php'?>