<?php include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_before_example.php';



class cloneable_class{
	public $var_1=0;					 //Создаем свойство
		
	public function __construct(){ //Каждый раз при создании нового объекта 
	  ++$this->var_1; 				 //$var_1 будет увеличиваться на 1
	}
	
	public function __clone(){		 //Метод запускается только при клонировании 
	  ++$this->var_1; 				 //объекта и увеличивает $var_1 на 1
	}
}

$obj_1 = new cloneable_class(); 	 //Создаем объект класса cloneable_class
//Теперь просто копируем идентификатор, который указывает на new cloneable_class(), 
//при этом метод __clone не запускается
$obj_2=$obj_1; 				 		 
echo $obj_1->var_1.'<br>';			 //Выведет '1' 
echo $obj_2->var_1.'<br>';			 //Выведет '1' 

$obj_1->var_1=5;					 	 //Изменили значение свойства на 5 
echo $obj_2->var_1.'<br>';			 //Выведет '5', т.к. обе переменные ссылаются 
											 //на один и тот же объект 											 

//Клонируем $obj_1, при этом создается реальный объект-клон с запуском метода__clone 
$obj_3=clone $obj_1; 				
echo $obj_1->var_1.'<br>';			 //Выведет '5'		 
echo $obj_3->var_1.'<br>';		 	 //Выведет '6'

$obj_1->var_1=10;					 	 //Изменили значение исходного объекта на 10 
echo $obj_3->var_1;					 //Выведет по-прежнему '6', т.к. переменные $obj_3 
											 //и $obj_1 ссылаются на разные объекты 




include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_after_example.php'?> 

