<?php include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_before_example.php';



class A{
	public static function my_func_1(){
      echo 'Класс А'.'<br>';
   }
   public static function my_func_2(){
      self::my_func_1();
   }
}

class B extends A {
    public static function my_func_1(){	//Переопределяем метод
        echo 'Класс B'.'<br>';
    }
}

B::my_func_2(); //Выведет 'Класс А', т.к. функция my_func_2 использует  
					 //статическую ссылку self::, которая использует область видимости
					 //того класса, в котором она была определена, а не используется

//Используем позднее статическое связывание					 
class C{
	public static function my_func_1(){
      echo 'Класс C';
   }
   public static function my_func_2(){
      static::my_func_1();
   }
}

class D extends C {
    public static function my_func_1(){	//Переопределяем метод
        echo 'Класс D';
    }
}

D::my_func_2(); //Выведет 'Класс D', т.к. функция my_func_2 использует позднее
				//статическое связывание при помощи ссылки static::, которая использует 
				//область видимости класса, в котором она используется, а не определена




include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_after_example.php'?> 

