<?php
namespace{
	//Объявляем константу в глобальном пространстве
	const my_const = 'global constant';
		
	//Объявляем функцию в глобальном пространстве
	function global_function(){
		echo 'global function'.'<br>';
	}
	
	//Объявляем класс в глобальном пространстве
	class global_class{
		static function global_method(){
			echo 'global method'.'<br>';
		}
	}
	
	//PHP обратится к \my_const	
	echo namespace\my_const.'<br>';                 //Выведет 'global constant'
	//Вызываем функцию \current_function()
	namespace\global_function();                    //Выведет 'global function'
	namespace\global_class::global_method();        //Выведет 'global method'
}


namespace current_name_space{                      //Объявили пространство имен
	//Объявляем константу в текущем пространстве имен 
	const my_const = 'current_constant'; 
   
	//Объявляем функцию в текущем пространстве имен 	
	function current_function(){
		echo 'current function'.'<br>';
	}
	
	//Объявляем класс в текущем пространстве имен
	class current_class{
		static function current_method(){
			echo 'current method'.'<br>';
		}
	}	
		
	//PHP обратится к current_name_space\my_const 
	echo namespace\my_const.'<br>';                   //Выведет 'current_constant'
	//Вызываем функцию current_name_space\current_function()
	namespace\current_function();                     //Выведет 'current function'	
	//Вызываем метод current_name_space\current_method()
	namespace\current_class::current_method();        //Выведет 'current method'	
}
?>