<?php include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_before_example.php';



//Создадим несколько переменных разных типов
$var_int=15;
$var_float=23.57;
$var_str="apple";
$var_m=["name"=>"Dima", 11];
$var_bool=true;
$var_null=null;


echo '-------- var_dump() -------- <br><br>';

//var_dump() выводит информацию о переменных и не возвращает значения 
//Выведет int(15) float(23.57) string(5) "apple" bool(true) NULL
var_dump($var_int, $var_float, $var_str, $var_bool, $var_null);
echo '<br>';
var_dump($var_m); //Выведет array(2) { ["name"]=> string(4) "Dima" [0]=> int(11) } 
echo '<br><br><br>';


echo '-------- print_r() --------<br><br>';

//print_r() выводит удобочитаемую информацию о переменной
print_r($var_float); //Выведет 23.57
echo '<br>';
print_r($var_str); //Выведет apple
echo '<br>';
print_r($var_m); //Выведет Array ( [name] => Dima [0] => 11 ) 
echo '<br><br><br>';


echo '-------- is_int(), is_array(), is_bool() и т.д. --------<br><br>';

//is_int(), is_array(), is_bool() и аналогичные функции проверяют, относится
//ли переменная к данному типу. В случае успеха возвращает true, иначе false
var_dump(is_int($var_int)); //Выведет bool(true)
echo '<br>';
var_dump(is_string($var_int)); //Выведет bool(false)
echo '<br>';
var_dump(is_null($var_null)); //Выведет bool(true)
echo '<br><br><br>';


echo '-------- gettype() --------<br><br>';

//gettype() возвращает тип переменной: "boolen", "integer", "double", "string", 
//"array", "object", "resource", "NULL", "unknown type",
echo gettype($var_int).'<br>'; //Выведет integer
echo gettype($var_m).'<br><br><br>'; //Выведет array


echo '-------- settype() --------<br><br>';

//settype() присваивает переменной новый тип,
//можно применять bool, int, float, string, array, object, null
var_dump(settype($var_int, "string")); //Выведет bool(true), преобразовали успешно
echo '<br>';
var_dump(settype($var_float, "bool")); //Выведет bool(true), преобразовали успешно
echo '<br><br><br>';


echo '-------- boolval() и аналогичные:<br><br>';

//boolval() возвращает логическое значение переменной  
//Также имеются функции strval(), intval(), floatval() 
var_dump(boolval($var_str)); //Выведет bool(true)
echo '<br>';
var_dump(boolval($var_null)); //Выведет bool(false)
echo '<br><br><br>';


echo '-------- empty() -------- <br><br>';

//empty() проверяет, пуста ли переменная (переменная считается пустой, 
//если она не существует или её значение равно FALSE;
var_dump(empty($a)); //Выведет bool(true), т.к. она еще не существует
$a;
var_dump(empty($a)); //Выведет bool(true), т.к. она еще не инициализирована
$a=false;
var_dump(empty($a)); //Выведет bool(true), т.к. false
$a=null;
var_dump(empty($a)); //Выведет bool(true), т.к. null
echo '<br>';
//Во всех остальных случаях переменная считается не пустой и вернет false
var_dump(empty($var_int)); //Выведет bool(false)
var_dump(empty($var_m)); //Выведет bool(false)
echo '<br><br><br>';


echo '-------- isset() -------- <br><br>';

//isset() определяет, была ли установлена переменная значением отличным от NULL
//Возвращает TRUE в случае успеха и FALSE в противном случае
var_dump(isset($b)); //Выведет bool(false), т.к. она еще не существует
$b;
var_dump(isset($b)); //Выведет bool(false), т.к. она еще не инициализирована
$b=null;
var_dump(isset($b)); //Выведет bool(false), т.к. null
echo '<br>';
//Во всех остальных случаях переменная считается установленной и вернет true
$b=false;
var_dump(isset($b)); //Выведет bool(true)
$b='';
var_dump(isset($b)); //Выведет bool(true)
$b=0;
var_dump(isset($b)); //Выведет bool(true)
$b=[];
var_dump(isset($b)); //Выведет bool(true)
echo '<br><br><br>';


echo '-------- unset() -------- <br><br>';

//unset() удаляет указанные переменные и не возвращает значения
unset($var_int, $var_m); 
var_dump(empty($var_int)); //Тут выведет bool(true)
var_dump(empty($var_m)); //Тут выведет bool(true)




include_once $_SERVER['DOCUMENT_ROOT'].'/belarusweb/belarusweb_files/php/site_parts/part_after_example.php'?>